/*
 * Java
 *
 * Copyright 2018 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.support.security.cipher;

import com.is2t.support.security.NativeResource;


public class NativeCipherResource extends NativeResource {

	private final int nativeTransformationId;

	public NativeCipherResource(NativeCipherSpi ref, int nativeTransformationId, int nativeId) {
		super(ref, nativeId);
		this.nativeTransformationId = nativeTransformationId;

	}

	@Override
	protected synchronized void closeNativeResource(int nativeId) {
		NativeCipherSpi.nativeClose(this.nativeTransformationId, nativeId);
	}
}

