<?xml version="1.0" encoding="UTF-8"?>

<!--
	XSL
	
	Copyright 2015-2020 MicroEJ Corp.
	This software has been designed or modified by MicroEJ Corp.
	MicroEJ Corp. grants to THALES the non-exclusive right to freely use, modify and distribute this software.
	
	Bibliography:
		[XSLTREC] XSL Transformations (XSLT), Version 1.0, W3C Recommendation 16 November 1999
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- This is an XML to XML generator -->
	<xsl:output	method="xml" indent="yes"/>

	<!-- Well known identity transformation : see 7.5 in [XSLTREC] -->
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="group[@name='%GROUP_NAME%']"/>
</xsl:stylesheet>